# Class CheckConnectionsReply

#### Hierarchy

- unknown
  - CheckConnectionsReply

- Defined in src/protobuf/grpc_pb.d.ts:1040
- Defined in src/protobuf/grpc_pb.d.ts:1054

#####
Index

### Constructors

constructor

### Methods

addConnections
clearConnectionsList
getConnectionsList
serializeBinary
setConnectionsList
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new CheckConnectionsReply(): CheckConnectionsReply

- #### Returns CheckConnectionsReply

  Inherited from jspb.Message.constructor

## Methods

### addConnections

- addConnections(value?: UrlConnection, index?: number): UrlConnection

- #### Parameters

  - ##### `Optional` value: UrlConnection

  - ##### `Optional` index: number

  #### Returns UrlConnection

  - Defined in src/protobuf/grpc_pb.d.ts:1044

### clearConnectionsList

- clearConnectionsList(): CheckConnectionsReply

- #### Returns CheckConnectionsReply

  - Defined in src/protobuf/grpc_pb.d.ts:1043

### getConnectionsList

- getConnectionsList(): UrlConnection[]

- #### Returns UrlConnection[]

  - Defined in src/protobuf/grpc_pb.d.ts:1041

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:1046

### setConnectionsList

- setConnectionsList(value: UrlConnection[]): CheckConnectionsReply

- #### Parameters

  - ##### value: UrlConnection[]

  #### Returns CheckConnectionsReply

  - Defined in src/protobuf/grpc_pb.d.ts:1042

### toObject

- toObject(includeInstance?: boolean): CheckConnectionsReply.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns CheckConnectionsReply.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:1047

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): CheckConnectionsReply

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns CheckConnectionsReply

  - Defined in src/protobuf/grpc_pb.d.ts:1050

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: CheckConnectionsReply, reader: BinaryReader): CheckConnectionsReply

- #### Parameters

  - ##### message: CheckConnectionsReply

  - ##### reader: BinaryReader

  #### Returns CheckConnectionsReply

  - Defined in src/protobuf/grpc_pb.d.ts:1051

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: CheckConnectionsReply, writer: BinaryWriter): void

- #### Parameters

  - ##### message: CheckConnectionsReply

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:1049

### `Static` toObject

- toObject(includeInstance: boolean, msg: CheckConnectionsReply): CheckConnectionsReply.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: CheckConnectionsReply

  #### Returns CheckConnectionsReply.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:1048

Generated using TypeDoc